Jump to content
  • Advertisement

Archived

This topic is now archived and is closed to further replies.

programmer2030

XLib Extension Error

This topic is 5188 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

I am making a OpenGL game for Linux and I am having some trouble with my linkers. My Makefile includes the following CFLAGS: -I/usr/X11R6/include LDFLAGS: -L/usr/X11R6/lib -L/usr/lib -lglut -lGLU -lGL -lXi -lXmu For some unknown reason the source files will compile into the executable. However, when I go to run the prgrm it does nothing. Running it through a terminal, I get the following message: ''XLib: extension "XFree86-DRI" missing on display ":0.0"'' Any help would be appreciated. Thank you in advance. I am me. I think. Or do I. What is thinking?

Share this post


Link to post
Share on other sites
Advertisement
do ANY OpenGL applications work for you?

runn ldd on one that does, and compare the libraries being linked to it to the libraries being linked to yours

Share this post


Link to post
Share on other sites
Try running glxgears. If that doesn''t work, you probably don''t have OpenGL or GLX set up properly, and you''ll need to install them.

Share this post


Link to post
Share on other sites
Try this.
If that doesn''t work it would probably help to know what distro/video card/driver version you''re running.

Share this post


Link to post
Share on other sites
I went to delete\modify the /usr/X11R6/lib/tls folder but didn''t find it on my system at all. I am running on a Intel 830i Graphics Card (Equivalent of Stone Age) but all my OpenGL screensavers still run. It is odd because I had everything working properly in the middle of my current project. I was able to build a OpenGL window, draw on it, and do other things my card allows, but when I went to build it the last time it wouldn''t run. I debugged it and got the error above. ldconfig runs properly and correctly links everything but when I run glxinfo I get the extension error.

Again, thank you in advance.

I am me. I think. Or do I. What is thinking?

Share this post


Link to post
Share on other sites

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

Participate in the game development conversation and more when you create an account on GameDev.net!

Sign me up!